package jp.sourceforge.orangesignal.ta.dataset;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class CompressTypeTest {

	@Test
	public void values() {
		final CompressType[] values = CompressType.values();
		for (final CompressType value : values) {
			switch (value) {
				case FIRST: case HIGHEST: case LOWEST: case LAST: case SUM:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
